package com.cool.store.service;

import com.cool.store.entity.MDMAreaDO;

import java.util.List;

public interface MDMAreaService {

    /**
     * 获取省级数据
     */
    List<MDMAreaDO> getProvince();

    /**
     * 获取子级地区
     * @param code 父级 code
     */
    List<MDMAreaDO> getSonArea(String code);

    List<MDMAreaDO> getAllAreaCode(String code);

    boolean getAreaProvinceType(String code);
}
